Get Deployment Catalogue
curl --request GET \
--url https://api.app.simplismart.ai/external/deployment-info/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.simplismart.ai/external/deployment-info/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.simplismart.ai/external/deployment-info/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.simplismart.ai/external/deployment-info/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.app.simplismart.ai/external/deployment-info/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.app.simplismart.ai/external/deployment-info/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.app.simplismart.ai/external/deployment-info/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "...",
"name": "...",
"created": 0,
"description": "...",
"type": "chat_completion",
"model": "llm",
"context_length": 0,
"max_output_length": 0,
"input_modalities": [],
"output_modalities": [],
"pricing": {},
"endpoints": {
"url": "...",
"headers": {},
"private": false
}
}
]
}{
"error": "Failed to fetch deployment info: ..."
}External
Get Deployment Catalogue
Lists model configurations available to your organisation (public deployments and your own) with pricing and endpoint details. Only DEPLOYED models are included. Empty fields are omitted.
GET
/
external
/
deployment-info
/
Get Deployment Catalogue
curl --request GET \
--url https://api.app.simplismart.ai/external/deployment-info/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.simplismart.ai/external/deployment-info/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.simplismart.ai/external/deployment-info/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.simplismart.ai/external/deployment-info/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.app.simplismart.ai/external/deployment-info/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.app.simplismart.ai/external/deployment-info/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.app.simplismart.ai/external/deployment-info/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "...",
"name": "...",
"created": 0,
"description": "...",
"type": "chat_completion",
"model": "llm",
"context_length": 0,
"max_output_length": 0,
"input_modalities": [],
"output_modalities": [],
"pricing": {},
"endpoints": {
"url": "...",
"headers": {},
"private": false
}
}
]
}{
"error": "Failed to fetch deployment info: ..."
}Authorizations
Simplismart API key (Settings > API Keys).
Query Parameters
e.g. chat_completion, completion, speech_to_text, image_generation, embedding. Unknown values return an empty list.
e.g. llm, whisper, diffusion, custom.
true includes inactive configs.
Response
Successful response
Show child attributes
Show child attributes